import 'package:http/browser_client.dart';
import 'package:http/http.dart' as http;

class HttpClientFactory {
  http.Client create({bool withCredentials = false}) {
    final client = BrowserClient();
    client.withCredentials = withCredentials;
    return client;
  }
}

final httpClientFactory = HttpClientFactory();
